{*******************************************************}
{  HotImage Component Source                            }
{  Copyright (c) 1997,98 Miachin Alexander A.           }
{*******************************************************}

unit ImskTest;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, HotImage, StdCtrls;

type
  TfrmTestMask = class(TForm)
    Panel1: TPanel;
    CheckBox1: TCheckBox;
    ScrollBox1: TScrollBox;
    HotImage1: THotImage;
    procedure CheckBox1Click(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure MakeTest(TestSpot: TSpot; const MaskItem:TMaskItem;
                       Graphic, MaskGraphic:TGraphic);
  end;

var
  frmTestMask: TfrmTestMask;

implementation

{$R *.DFM}
procedure TfrmTestMask.MakeTest(TestSpot:TSpot; const MaskItem:TMaskItem;
                                Graphic,MaskGraphic:TGraphic);
var
  Spot:TSpot;

begin
  HotImage1.Picture.Graphic := Graphic;
  HotImage1.MaskPicture.Graphic := MaskGraphic;
  Spot := TSpot.Create(skPolyLine);
  Spot.Assign(TestSpot);
  Spot.MaskItem := MaskItem;
  HotImage1.HotSpots.AddSpot(Spot);
  ShowModal;
end;

procedure TfrmTestMask.CheckBox1Click(Sender: TObject);
begin
  HotImage1.Stretch := CheckBox1.Checked;
end;

procedure TfrmTestMask.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
 if Key = VK_ESCAPE then ModalResult := mrOk;
end;

end.
